# Created by pyp2rpm-3.3.6
%global pypi_name hypothesis

Name:           python-%{pypi_name}
Version:        6.21.6
Release:        1%{?dist}
Summary:        A library for property-based testing

License:        MPL v2
URL:            https://hypothesis.works
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 Hypothesis Hypothesis is an advanced testing library for Python. It lets you
write tests which are parametrized by a source of examples, and then generates
simple and comprehensible examples that make your tests fail. This lets you
find more bugs in your code with less .. code-block:: python
@given(st.lists(st.floats(allow_nanFalse, allow_infinityFalse), min_size1)) def
test_mean(xs): assert...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(attrs) >= 19.2
Requires:       python3dist(backports.zoneinfo) >= 0.2.1
Requires:       python3dist(backports.zoneinfo) >= 0.2.1
Requires:       python3dist(black) >= 19.10~b0
Requires:       python3dist(black) >= 19.10~b0
Requires:       python3dist(black) >= 19.10~b0
Requires:       python3dist(click) >= 7
Requires:       python3dist(click) >= 7
Requires:       python3dist(django) >= 2.2
Requires:       python3dist(django) >= 2.2
Requires:       python3dist(dpcontracts) >= 0.4
Requires:       python3dist(dpcontracts) >= 0.4
Requires:       python3dist(importlib-metadata) >= 3.6
Requires:       python3dist(importlib-resources) >= 3.3
Requires:       python3dist(importlib-resources) >= 3.3
Requires:       python3dist(lark-parser) >= 0.6.5
Requires:       python3dist(lark-parser) >= 0.6.5
Requires:       python3dist(libcst) >= 0.3.16
Requires:       python3dist(libcst) >= 0.3.16
Requires:       python3dist(numpy) >= 1.9
Requires:       python3dist(numpy) >= 1.9
Requires:       python3dist(pandas) >= 0.25
Requires:       python3dist(pandas) >= 0.25
Requires:       python3dist(pytest) >= 4.6
Requires:       python3dist(pytest) >= 4.6
Requires:       python3dist(python-dateutil) >= 1.4
Requires:       python3dist(python-dateutil) >= 1.4
Requires:       python3dist(pytz) >= 2014.1
Requires:       python3dist(pytz) >= 2014.1
Requires:       python3dist(pytz) >= 2014.1
Requires:       python3dist(redis) >= 3
Requires:       python3dist(redis) >= 3
Requires:       python3dist(rich) >= 9
Requires:       python3dist(rich) >= 9
Requires:       python3dist(setuptools)
Requires:       (python3dist(sortedcontainers) >= 2.1 with python3dist(sortedcontainers) < 3)
Requires:       python3dist(tzdata) >= 2020.4
Requires:       python3dist(tzdata) >= 2020.4
%description -n python3-%{pypi_name}
 Hypothesis Hypothesis is an advanced testing library for Python. It lets you
write tests which are parametrized by a source of examples, and then generates
simple and comprehensible examples that make your tests fail. This lets you
find more bugs in your code with less .. code-block:: python
@given(st.lists(st.floats(allow_nanFalse, allow_infinityFalse), min_size1)) def
test_mean(xs): assert...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{_bindir}/hypothesis
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 21 2021 mockbuilder - 6.21.6-1
- Initial package.